org.faceless.pdf2.viewer2.feature

## Class FullScreenMode

- java.lang.Object
- - org.faceless.pdf2.viewer2.ViewerFeature
  - - org.faceless.pdf2.viewer2.ViewerWidget
    - - org.faceless.pdf2.viewer2.feature.FullScreenMode

-     public class FullScreenMode
      extends ViewerWidget

  Create a menu item that will display the Document in "Full Screen" mode. Pressing escape will exit form this mode. This feature may also be run as the result of a named action or the documents initial view setting (see `PDF.setOption("view.fullscreen")`). The name of this feature is FullScreen

  This code is copyright the Big Faceless Organization. You're welcome to use, modify and distribute it in any form in your own projects, provided those projects continue to make use of the Big Faceless PDF library.

  Since:
    2.8.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FullScreenMode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `action(ViewerEvent event)` The method that's run when this feature is activated.
    `void` | `initialize(PDFViewer viewer)` Called when the feature is first added to a viewer
    `void` | `setFullScreen(boolean fullscreen, DocumentViewport viewport)` Set the specified Viewport to be the fullscreen viewport or not

    - ### Methods inherited from class org.faceless.pdf2.viewer2.ViewerWidget

      `createActionListener, getComponent, getIcon, getViewer, isButtonEnabledByDefault, isDocumentRequired, isMenuEnabledByDefault, setButton, setComponent, setDocumentRequired, setMenu, setMenu, setToolBarEnabled, setToolBarEnabledAlways, setToolBarFloatable, setToolBarFloating, toString`

    - ### Methods inherited from class org.faceless.pdf2.viewer2.ViewerFeature

      `getAllEnabledFeatures, getAllFeatures, getCustomJavaScript, getFeatureProperty, getFeatureURLProperty, getName, isEnabledByDefault, setFeatureName, teardown`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FullScreenMode

          public FullScreenMode()

  - ### Method Detail

    - #### initialize

          public void initialize(PDFViewer viewer)

      Description copied from class: `ViewerFeature`
      Called when the feature is first added to a viewer
      Overrides:
        `initialize` in class `ViewerWidget`

    - #### action

          public void action(ViewerEvent event)

      Description copied from class: `ViewerWidget`
      The method that's run when this feature is activated. This method is called by the `ActionListener` returned by the default implementation of `ViewerWidget.createActionListener()`, and by default is a no-op.
      Overrides:
        `action` in class `ViewerWidget`

    - #### setFullScreen

          public void setFullScreen(boolean fullscreen,
                                    DocumentViewport viewport)

      Set the specified Viewport to be the fullscreen viewport or not
      Parameters:
        `fullscreen` - whether to display the viewport as fullscreen
        `viewport` - the DocumentViewport

Copyright © 2001-2015 Big Faceless Organization